package com.test.RCET.BTRelay;

import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;

public class FileService {
    public void save(OutputStream outStream, String content) throws IOException {
        outStream.write(content.getBytes());
        outStream.close();
    }

    public String read(InputStream inStream) throws IOException {
        ByteArrayOutputStream outStream = new ByteArrayOutputStream();
        byte[] buffer = new byte[1024];
        while (true) {
            int len = inStream.read(buffer);
            if (len == -1) {
                byte[] data = outStream.toByteArray();
                outStream.close();
                inStream.close();
                return new String(data);
            }
            outStream.write(buffer, 0, len);
        }
    }
}
