package com.test.RCET.BTRelay;

import android.annotation.SuppressLint;
import android.app.Activity;
import android.app.NotificationManager;
import android.bluetooth.BluetoothAdapter;
import android.bluetooth.BluetoothDevice;
import android.bluetooth.BluetoothSocket;
import android.content.Intent;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.ScrollView;
import android.widget.TextView;
import android.widget.Toast;
import java.io.IOException;
import java.io.InputStream;
import java.util.UUID;

@SuppressLint({"NewApi"})
public class GYModActivity extends Activity {
    private static final String MY_UUID = "00001101-0000-1000-8000-00805F9B34FB";
    private static final int ONGOING_ID = 0;
    private static final int REQUEST_CODE = 1;
    private int BT_ck_c = ONGOING_ID;
    private int BT_data_ck = ONGOING_ID;
    private final int REQUEST_CONNECT_DEVICE = REQUEST_CODE;
    private int RL1_down_C = ONGOING_ID;
    private int RL2_down_C = ONGOING_ID;
    private int RL3_down_C = ONGOING_ID;
    Thread ReadThread = new Thread() {
        public void run() {
            byte[] buffer = new byte[1024];
            byte[] buffer_new = new byte[1024];
            GYModActivity.this.bRun = true;
            while (true) {
                try {
                    if (GYModActivity.this.is.available() != 0) {
                        do {
                            int num = GYModActivity.this.is.read(buffer);
                            int n = GYModActivity.ONGOING_ID;
                            String s0 = new String(buffer, GYModActivity.ONGOING_ID, num);
                            GYModActivity gYModActivity = GYModActivity.this;
                            gYModActivity.fmsg = String.valueOf(gYModActivity.fmsg) + s0;
                            int i = GYModActivity.ONGOING_ID;
                            while (i < num) {
                                if (buffer[i] == 13 && buffer[i + GYModActivity.REQUEST_CODE] == 10) {
                                    buffer_new[n] = 10;
                                    i += GYModActivity.REQUEST_CODE;
                                } else {
                                    buffer_new[n] = buffer[i];
                                }
                                n += GYModActivity.REQUEST_CODE;
                                i += GYModActivity.REQUEST_CODE;
                            }
                            String s = new String(buffer_new, GYModActivity.ONGOING_ID, n);
                            GYModActivity gYModActivity2 = GYModActivity.this;
                            gYModActivity2.smsg = String.valueOf(gYModActivity2.smsg) + s;
                        } while (GYModActivity.this.is.available() != 0);
                        GYModActivity.this.handler.sendMessage(GYModActivity.this.handler.obtainMessage());
                    } else {
                        do {
                        } while (!GYModActivity.this.bRun);
                    }
                } catch (IOException e) {
                }
            }
        }
    };
    /* access modifiers changed from: private */
    public BluetoothAdapter _bluetooth = BluetoothAdapter.getDefaultAdapter();
    BluetoothDevice _device = null;
    boolean _discoveryFinished = false;
    BluetoothSocket _socket = null;
    boolean bRun = true;
    boolean bThread = false;
    /* access modifiers changed from: private */
    public TextView dis;
    private EditText edit0;
    /* access modifiers changed from: private */
    public String fmsg = "";
    Handler handler = new Handler() {
        public void handleMessage(Message msg) {
            super.handleMessage(msg);
            GYModActivity.this.dis.setText(GYModActivity.this.smsg);
            GYModActivity.this.sv.scrollTo(GYModActivity.ONGOING_ID, GYModActivity.this.dis.getMeasuredHeight());
        }
    };
    /* access modifiers changed from: private */
    public InputStream is;
    private NotificationManager mNotificationManager;
    /* access modifiers changed from: private */
    public String smsg = "";
    /* access modifiers changed from: private */
    public ScrollView sv;

    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.third_gy_modpzxg);
        if (this._bluetooth == null) {
            Toast.makeText(this, "无法打开手机蓝牙，请确认手机是否有蓝牙功能！", REQUEST_CODE).show();
        } else {
            new Thread() {
                public void run() {
                    if (!GYModActivity.this._bluetooth.isEnabled()) {
                        GYModActivity.this._bluetooth.enable();
                    }
                }
            }.start();
        }
    }

    public void onfindButtonClicked1(View v) {
        if (!this._bluetooth.isEnabled()) {
            Toast.makeText(this, "打开蓝牙中...", REQUEST_CODE).show();
            return;
        }
        Button btn = (Button) findViewById(R.id.Button_SS1);
        if (this._socket == null) {
            startActivityForResult(new Intent(this, MODBluetoothfindActivity.class), REQUEST_CODE);
            return;
        }
        try {
            this._socket.getOutputStream().write(85);
        } catch (Exception e) {
        }
        try {
            this._socket.getOutputStream().write(70);
        } catch (Exception e2) {
        }
        delay(100);
        try {
            this.is.close();
            this._socket.close();
            this._socket = null;
            this.bRun = false;
            btn.setText("查    找");
        } catch (IOException e3) {
        }
    }

    public void onActivityResult(int requestCode, int resultCode, Intent data) {
        switch (requestCode) {
            case REQUEST_CODE /*1*/:
                if (resultCode == -1) {
                    this._device = this._bluetooth.getRemoteDevice(data.getExtras().getString(MODBluetoothfindActivity.EXTRA_DEVICE_ADDRESS));
                    try {
                        this._socket = this._device.createRfcommSocketToServiceRecord(UUID.fromString(MY_UUID));
                    } catch (IOException e) {
                        Toast.makeText(this, "连接失败！", ONGOING_ID).show();
                    }
                    Button btn = (Button) findViewById(R.id.Button_SS1);
                    try {
                        this._socket.connect();
                        Toast.makeText(this, "连接" + this._device.getName() + "成功！", ONGOING_ID).show();
                        btn.setText("断    开");
                        try {
                            this.is = this._socket.getInputStream();
                            if (!this.bThread) {
                                this.ReadThread.start();
                                this.bThread = true;
                                return;
                            }
                            this.bRun = true;
                            return;
                        } catch (IOException e2) {
                            Toast.makeText(this, "接收数据失败！", ONGOING_ID).show();
                            return;
                        }
                    } catch (IOException e3) {
                        try {
                            Toast.makeText(this, "连接失败！", ONGOING_ID).show();
                            this._socket.close();
                            this._socket = null;
                            return;
                        } catch (IOException e4) {
                            Toast.makeText(this, "连接失败！", ONGOING_ID).show();
                            return;
                        }
                    }
                } else {
                    return;
                }
            default:
                return;
        }
    }

    private void delay(int ms) {
        try {
            Thread.currentThread();
            Thread.sleep((long) ms);
        } catch (InterruptedException e) {
            e.printStackTrace();
        }
    }

    public void onSendButtonClicked_CMM(View v) {
        if (this._socket != null) {
            int n = ONGOING_ID;
            byte[] bos = ((EditText) findViewById(R.id.Edit0)).getText().toString().getBytes();
            for (int i = ONGOING_ID; i < bos.length; i += REQUEST_CODE) {
                if (bos[i] == 10) {
                    n += REQUEST_CODE;
                }
            }
            byte[] bos_new = new byte[(bos.length + n)];
            int n2 = ONGOING_ID;
            for (int i2 = ONGOING_ID; i2 < bos.length; i2 += REQUEST_CODE) {
                if (bos[i2] == 10) {
                    bos_new[n2] = 13;
                    n2 += REQUEST_CODE;
                    bos_new[n2] = 10;
                } else {
                    bos_new[n2] = bos[i2];
                }
                n2 += REQUEST_CODE;
            }
            try {
                this._socket.getOutputStream().write(bos_new);
            } catch (Exception e) {
            }
            try {
                this._socket.getOutputStream().write(78);
            } catch (Exception e2) {
            }
            if (n2 == 4) {
                delay(10);
                try {
                    this.is.close();
                    this._socket.close();
                    this._socket = null;
                    this.bRun = false;
                    ((Button) findViewById(R.id.Button_SS1)).setText("查    找");
                } catch (IOException e3) {
                }
            }
        }
    }

    public void onSendButtonClicked_GGDZ(View v) {
        if (this._socket != null) {
            int n = ONGOING_ID;
            byte[] bos = ((EditText) findViewById(R.id.Edit1)).getText().toString().getBytes();
            for (int i = ONGOING_ID; i < bos.length; i += REQUEST_CODE) {
                if (bos[i] == 10) {
                    n += REQUEST_CODE;
                }
            }
            byte[] bos_new = new byte[(bos.length + n)];
            int n2 = ONGOING_ID;
            for (int i2 = ONGOING_ID; i2 < bos.length; i2 += REQUEST_CODE) {
                if (bos[i2] == 10) {
                    bos_new[n2] = 13;
                    n2 += REQUEST_CODE;
                    bos_new[n2] = 10;
                } else {
                    bos_new[n2] = bos[i2];
                }
                n2 += REQUEST_CODE;
            }
            try {
                this._socket.getOutputStream().write(bos_new);
            } catch (Exception e) {
            }
            try {
                this._socket.getOutputStream().write(76);
            } catch (Exception e2) {
            }
            if (n2 == 4) {
                delay(10);
                try {
                    this.is.close();
                    this._socket.close();
                    this._socket = null;
                    this.bRun = false;
                    ((Button) findViewById(R.id.Button_SS1)).setText("查    找");
                } catch (IOException e3) {
                }
            }
        }
    }

    public void onSendButtonClicked_MMCZ1(View v) {
        if (this._socket != null) {
            int n = ONGOING_ID;
            byte[] bos = ((EditText) findViewById(R.id.Edit2_MOD)).getText().toString().getBytes();
            for (int i = ONGOING_ID; i < bos.length; i += REQUEST_CODE) {
                if (bos[i] == 10) {
                    n += REQUEST_CODE;
                }
            }
            byte[] bos_new = new byte[(bos.length + n)];
            int n2 = ONGOING_ID;
            for (int i2 = ONGOING_ID; i2 < bos.length; i2 += REQUEST_CODE) {
                if (bos[i2] == 10) {
                    bos_new[n2] = 13;
                    n2 += REQUEST_CODE;
                    bos_new[n2] = 10;
                } else {
                    bos_new[n2] = bos[i2];
                }
                n2 += REQUEST_CODE;
            }
            try {
                this._socket.getOutputStream().write(bos_new);
            } catch (Exception e) {
            }
            try {
                this._socket.getOutputStream().write(87);
            } catch (Exception e2) {
            }
            if (n2 == 4) {
                delay(10);
                try {
                    this.is.close();
                    this._socket.close();
                    this._socket = null;
                    this.bRun = false;
                    ((Button) findViewById(R.id.Button_SS1)).setText("查    找");
                } catch (IOException e3) {
                }
            }
        }
    }
}
