package com.test.RCET.BTRelay;

import android.annotation.SuppressLint;
import android.app.Activity;
import android.app.AlertDialog;
import android.app.NotificationManager;
import android.bluetooth.BluetoothAdapter;
import android.bluetooth.BluetoothDevice;
import android.bluetooth.BluetoothSocket;
import android.content.DialogInterface;
import android.content.Intent;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.text.Editable;
import android.text.TextWatcher;
import android.view.KeyEvent;
import android.view.MotionEvent;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.ScrollView;
import android.widget.TextView;
import android.widget.Toast;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.util.UUID;

@SuppressLint({"NewApi"})
public class RCBTRelay extends Activity {
    private static final String MY_UUID = "00001101-0000-1000-8000-00805F9B34FB";
    private static final int ONGOING_ID = 0;
    private static final int REQUEST_CODE = 1;
    private int BT_ck_c = ONGOING_ID;
    private int BT_data_ck = ONGOING_ID;
    /* access modifiers changed from: private */
    public int Button_ConnectMode = ONGOING_ID;
    /* access modifiers changed from: private */
    public int Button_GY_cou = ONGOING_ID;
    /* access modifiers changed from: private */
    public int Button_KZ_cou = ONGOING_ID;
    /* access modifiers changed from: private */
    public int Button_RLMode = ONGOING_ID;
    private final int REQUEST_CONNECT_DEVICE = REQUEST_CODE;
    /* access modifiers changed from: private */
    public int RL1_down_C = ONGOING_ID;
    /* access modifiers changed from: private */
    public int RL2_down_C = ONGOING_ID;
    /* access modifiers changed from: private */
    public int RL3_down_C = ONGOING_ID;
    /* access modifiers changed from: private */
    public int RL4_down_C = ONGOING_ID;
    private int RL5_down_C = ONGOING_ID;
    private int RL6_down_C = ONGOING_ID;
    private int RL7_down_C = ONGOING_ID;
    private int RL8_down_C = ONGOING_ID;
    Thread ReadThread = new Thread() {
        public void run() {
            byte[] buffer = new byte[1024];
            byte[] buffer_new = new byte[1024];
            RCBTRelay.this.bRun = true;
            while (true) {
                try {
                    if (RCBTRelay.this.is.available() != 0) {
                        do {
                            int num = RCBTRelay.this.is.read(buffer);
                            int n = RCBTRelay.ONGOING_ID;
                            String s0 = new String(buffer, RCBTRelay.ONGOING_ID, num);
                            RCBTRelay rCBTRelay = RCBTRelay.this;
                            rCBTRelay.fmsg = String.valueOf(rCBTRelay.fmsg) + s0;
                            int i = RCBTRelay.ONGOING_ID;
                            while (i < num) {
                                if (buffer[i] == 13 && buffer[i + RCBTRelay.REQUEST_CODE] == 10) {
                                    buffer_new[n] = 10;
                                    i += RCBTRelay.REQUEST_CODE;
                                } else {
                                    buffer_new[n] = buffer[i];
                                }
                                n += RCBTRelay.REQUEST_CODE;
                                i += RCBTRelay.REQUEST_CODE;
                            }
                            String s = new String(buffer_new, RCBTRelay.ONGOING_ID, n);
                            RCBTRelay rCBTRelay2 = RCBTRelay.this;
                            rCBTRelay2.smsg = String.valueOf(rCBTRelay2.smsg) + s;
                        } while (RCBTRelay.this.is.available() != 0);
                        RCBTRelay.this.handler.sendMessage(RCBTRelay.this.handler.obtainMessage());
                    } else {
                        do {
                        } while (!RCBTRelay.this.bRun);
                    }
                } catch (IOException e) {
                }
            }
        }
    };
    /* access modifiers changed from: private */
    public BluetoothAdapter _bluetooth = BluetoothAdapter.getDefaultAdapter();
    BluetoothDevice _device = null;
    boolean _discoveryFinished = false;
    BluetoothSocket _socket = null;
    boolean bRun = true;
    boolean bThread = false;
    /* access modifiers changed from: private */
    public TextView dis;
    private EditText edit0;
    /* access modifiers changed from: private */
    public String fmsg = "";
    Handler handler = new Handler() {
        public void handleMessage(Message msg) {
            super.handleMessage(msg);
            RCBTRelay.this.dis.setText(RCBTRelay.this.smsg);
            RCBTRelay.this.sv.scrollTo(RCBTRelay.ONGOING_ID, RCBTRelay.this.dis.getMeasuredHeight());
        }
    };
    /* access modifiers changed from: private */
    public InputStream is;
    DialogInterface.OnClickListener listener = new DialogInterface.OnClickListener() {
        public void onClick(DialogInterface dialog, int which) {
            switch (which) {
                case -1:
                    if (RCBTRelay.this._socket != null) {
                        try {
                            RCBTRelay.this.is.close();
                            RCBTRelay.this._socket.close();
                            RCBTRelay.this._socket = null;
                            RCBTRelay.this.bRun = false;
                        } catch (IOException e) {
                        }
                    }
                    RCBTRelay.this.delay(100);
                    RCBTRelay.this.finish();
                    return;
                default:
                    return;
            }
        }
    };
    /* access modifiers changed from: private */
    public View.OnClickListener listener1 = new View.OnClickListener() {
        public void onClick(View v) {
            RCBTRelay.this.Button_GY_cou = RCBTRelay.ONGOING_ID;
            RCBTRelay.this.Button_KZ_cou = RCBTRelay.ONGOING_ID;
            if (RCBTRelay.this.Button_RLMode == 0) {
                RCBTRelay.this.setContentView(R.layout.second_kz_1rl);
                RCBTRelay.this.sv = (ScrollView) RCBTRelay.this.findViewById(R.id.ScrollView01);
                RCBTRelay.this.dis = (TextView) RCBTRelay.this.findViewById(R.id.in_TEST);
                Button button_RL1 = (Button) RCBTRelay.this.findViewById(R.id.Button_rl1);
                if (RCBTRelay.this.RL1_down_C == 0) {
                    button_RL1.setBackgroundDrawable(RCBTRelay.this.getResources().getDrawable(R.drawable.off_png));
                }
                if (RCBTRelay.this.RL1_down_C == RCBTRelay.REQUEST_CODE) {
                    button_RL1.setBackgroundDrawable(RCBTRelay.this.getResources().getDrawable(R.drawable.on_png));
                }
                ((Button) RCBTRelay.this.findViewById(R.id.Button_rl2)).performClick();
            }
            if (RCBTRelay.this.Button_RLMode == RCBTRelay.REQUEST_CODE) {
                RCBTRelay.this.setContentView(R.layout.second_kz_1rl_time);
                ((EditText) RCBTRelay.this.findViewById(R.id.Edit_ON_TH)).addTextChangedListener(RCBTRelay.this.watcher_On_TH);
                ((EditText) RCBTRelay.this.findViewById(R.id.Edit_ON_TM)).addTextChangedListener(RCBTRelay.this.watcher_On_TM);
                ((EditText) RCBTRelay.this.findViewById(R.id.Edit_ON_TS)).addTextChangedListener(RCBTRelay.this.watcher_On_TS);
                ((EditText) RCBTRelay.this.findViewById(R.id.Edit_OFF_TH)).addTextChangedListener(RCBTRelay.this.watcher_Off_TH);
                ((EditText) RCBTRelay.this.findViewById(R.id.Edit_OFF_TM)).addTextChangedListener(RCBTRelay.this.watcher_Off_TM);
                ((EditText) RCBTRelay.this.findViewById(R.id.Edit_OFF_TS)).addTextChangedListener(RCBTRelay.this.watcher_Off_TS);
                ((EditText) RCBTRelay.this.findViewById(R.id.Edit_ON_OFF_C)).addTextChangedListener(RCBTRelay.this.watcher_ON_OFF_C);
                ((Button) RCBTRelay.this.findViewById(R.id.Button_KZ)).performClick();
                ((Button) RCBTRelay.this.findViewById(R.id.Button_ReadTime)).performClick();
                ((Button) RCBTRelay.this.findViewById(R.id.Button_rl2)).performClick();
                RCBTRelay.this.sv = (ScrollView) RCBTRelay.this.findViewById(R.id.ScrollView01);
                RCBTRelay.this.dis = (TextView) RCBTRelay.this.findViewById(R.id.in_TEST);
                Button button_RL12 = (Button) RCBTRelay.this.findViewById(R.id.Button_rl1);
                if (RCBTRelay.this.RL1_down_C == 0) {
                    button_RL12.setBackgroundDrawable(RCBTRelay.this.getResources().getDrawable(R.drawable.off_png));
                }
                if (RCBTRelay.this.RL1_down_C == RCBTRelay.REQUEST_CODE) {
                    button_RL12.setBackgroundDrawable(RCBTRelay.this.getResources().getDrawable(R.drawable.on_png));
                }
            }
            if (RCBTRelay.this.Button_RLMode == 2) {
                RCBTRelay.this.setContentView(R.layout.second_kz_4rl);
                RCBTRelay.this.sv = (ScrollView) RCBTRelay.this.findViewById(R.id.ScrollView01);
                RCBTRelay.this.dis = (TextView) RCBTRelay.this.findViewById(R.id.in_TEST);
                ((Button) RCBTRelay.this.findViewById(R.id.Button_4RL1_1)).performClick();
                Button button_4RL1_2 = (Button) RCBTRelay.this.findViewById(R.id.Button_4RL1_2);
                if (RCBTRelay.this.RL1_down_C == 0) {
                    button_4RL1_2.setBackgroundDrawable(RCBTRelay.this.getResources().getDrawable(R.drawable.off_png));
                }
                if (RCBTRelay.this.RL1_down_C == RCBTRelay.REQUEST_CODE) {
                    button_4RL1_2.setBackgroundDrawable(RCBTRelay.this.getResources().getDrawable(R.drawable.on_png));
                }
                ((Button) RCBTRelay.this.findViewById(R.id.Button_4RL2_1)).performClick();
                Button button_4RL2_2 = (Button) RCBTRelay.this.findViewById(R.id.Button_4RL2_2);
                if (RCBTRelay.this.RL2_down_C == 0) {
                    button_4RL2_2.setBackgroundDrawable(RCBTRelay.this.getResources().getDrawable(R.drawable.off_png));
                }
                if (RCBTRelay.this.RL2_down_C == RCBTRelay.REQUEST_CODE) {
                    button_4RL2_2.setBackgroundDrawable(RCBTRelay.this.getResources().getDrawable(R.drawable.on_png));
                }
                ((Button) RCBTRelay.this.findViewById(R.id.Button_4RL3_1)).performClick();
                Button button_4RL3_2 = (Button) RCBTRelay.this.findViewById(R.id.Button_4RL3_2);
                if (RCBTRelay.this.RL3_down_C == 0) {
                    button_4RL3_2.setBackgroundDrawable(RCBTRelay.this.getResources().getDrawable(R.drawable.off_png));
                }
                if (RCBTRelay.this.RL3_down_C == RCBTRelay.REQUEST_CODE) {
                    button_4RL3_2.setBackgroundDrawable(RCBTRelay.this.getResources().getDrawable(R.drawable.on_png));
                }
                ((Button) RCBTRelay.this.findViewById(R.id.Button_4RL4_1)).performClick();
                Button button_4RL4_2 = (Button) RCBTRelay.this.findViewById(R.id.Button_4RL4_2);
                if (RCBTRelay.this.RL4_down_C == 0) {
                    button_4RL4_2.setBackgroundDrawable(RCBTRelay.this.getResources().getDrawable(R.drawable.off_png));
                }
                if (RCBTRelay.this.RL4_down_C == RCBTRelay.REQUEST_CODE) {
                    button_4RL4_2.setBackgroundDrawable(RCBTRelay.this.getResources().getDrawable(R.drawable.on_png));
                }
                RCBTRelay.this.Read_Save_EditText_4RL_Name();
            }
            if (RCBTRelay.this.Button_RLMode == 3) {
                RCBTRelay.this.setContentView(R.layout.second_kz_8rl);
                RCBTRelay.this.sv = (ScrollView) RCBTRelay.this.findViewById(R.id.ScrollView01);
                RCBTRelay.this.dis = (TextView) RCBTRelay.this.findViewById(R.id.in_TEST);
                ((Button) RCBTRelay.this.findViewById(R.id.Button_8RL1_1)).performClick();
                Button button_8RL1_2 = (Button) RCBTRelay.this.findViewById(R.id.Button_8RL1_2);
                if (RCBTRelay.this.RL1_down_C == 0) {
                    button_8RL1_2.setBackgroundDrawable(RCBTRelay.this.getResources().getDrawable(R.drawable.off_png));
                }
                if (RCBTRelay.this.RL1_down_C == RCBTRelay.REQUEST_CODE) {
                    button_8RL1_2.setBackgroundDrawable(RCBTRelay.this.getResources().getDrawable(R.drawable.on_png));
                }
                ((Button) RCBTRelay.this.findViewById(R.id.Button_8RL2_1)).performClick();
                Button button_8RL2_2 = (Button) RCBTRelay.this.findViewById(R.id.Button_8RL2_2);
                if (RCBTRelay.this.RL2_down_C == 0) {
                    button_8RL2_2.setBackgroundDrawable(RCBTRelay.this.getResources().getDrawable(R.drawable.off_png));
                }
                if (RCBTRelay.this.RL2_down_C == RCBTRelay.REQUEST_CODE) {
                    button_8RL2_2.setBackgroundDrawable(RCBTRelay.this.getResources().getDrawable(R.drawable.on_png));
                }
                ((Button) RCBTRelay.this.findViewById(R.id.Button_8RL3_1)).performClick();
                Button button_8RL3_2 = (Button) RCBTRelay.this.findViewById(R.id.Button_8RL3_2);
                if (RCBTRelay.this.RL3_down_C == 0) {
                    button_8RL3_2.setBackgroundDrawable(RCBTRelay.this.getResources().getDrawable(R.drawable.off_png));
                }
                if (RCBTRelay.this.RL3_down_C == RCBTRelay.REQUEST_CODE) {
                    button_8RL3_2.setBackgroundDrawable(RCBTRelay.this.getResources().getDrawable(R.drawable.on_png));
                }
                ((Button) RCBTRelay.this.findViewById(R.id.Button_8RL4_1)).performClick();
                Button button_8RL4_2 = (Button) RCBTRelay.this.findViewById(R.id.Button_8RL4_2);
                if (RCBTRelay.this.RL4_down_C == 0) {
                    button_8RL4_2.setBackgroundDrawable(RCBTRelay.this.getResources().getDrawable(R.drawable.off_png));
                }
                if (RCBTRelay.this.RL4_down_C == RCBTRelay.REQUEST_CODE) {
                    button_8RL4_2.setBackgroundDrawable(RCBTRelay.this.getResources().getDrawable(R.drawable.on_png));
                }
                RCBTRelay.this.Read_Save_EditText_8RL_Name();
            }
            ((Button) RCBTRelay.this.findViewById(R.id.Button_GY)).setOnClickListener(RCBTRelay.this.listener2);
            ((Button) RCBTRelay.this.findViewById(R.id.Button_PZ)).setOnClickListener(RCBTRelay.this.listener3);
        }
    };
    /* access modifiers changed from: private */
    public View.OnClickListener listener2 = new View.OnClickListener() {
        public void onClick(View v) {
            RCBTRelay.this.Button_KZ_cou = RCBTRelay.ONGOING_ID;
            RCBTRelay.this.setContentView(R.layout.third_gy);
            ((Button) RCBTRelay.this.findViewById(R.id.Button_PZ)).setOnClickListener(RCBTRelay.this.listener3);
            ((Button) RCBTRelay.this.findViewById(R.id.Button_KZ)).setOnClickListener(RCBTRelay.this.listener1);
            ((Button) RCBTRelay.this.findViewById(R.id.Button_GYRCET)).setOnClickListener(RCBTRelay.this.listener4);
            ((Button) RCBTRelay.this.findViewById(R.id.Button_SYBZ)).setOnClickListener(RCBTRelay.this.listener5);
            RCBTRelay.this.Read_Work_Modedata();
            Button button_SetConnectMode = (Button) RCBTRelay.this.findViewById(R.id.Button_SetConnectMode);
            Button button_SetMode_1RL = (Button) RCBTRelay.this.findViewById(R.id.Button_SetMode_1RL);
            Button button_SetMode_1RL_Time = (Button) RCBTRelay.this.findViewById(R.id.Button_SetMode_1RL_Time);
            Button button_SetMode_4RL = (Button) RCBTRelay.this.findViewById(R.id.Button_SetMode_4RL);
            Button button_SetMode_8RL = (Button) RCBTRelay.this.findViewById(R.id.Button_SetMode_8RL);
            if (RCBTRelay.this.Button_ConnectMode == 0) {
                button_SetConnectMode.setBackgroundDrawable(RCBTRelay.this.getResources().getDrawable(R.drawable.set_no));
            }
            if (RCBTRelay.this.Button_ConnectMode == RCBTRelay.REQUEST_CODE) {
                button_SetConnectMode.setBackgroundDrawable(RCBTRelay.this.getResources().getDrawable(R.drawable.set_yes));
            }
            if (RCBTRelay.this.Button_RLMode == 0) {
                button_SetMode_1RL.setBackgroundDrawable(RCBTRelay.this.getResources().getDrawable(R.drawable.set_yes));
                button_SetMode_1RL_Time.setBackgroundDrawable(RCBTRelay.this.getResources().getDrawable(R.drawable.set_no));
                button_SetMode_4RL.setBackgroundDrawable(RCBTRelay.this.getResources().getDrawable(R.drawable.set_no));
                button_SetMode_8RL.setBackgroundDrawable(RCBTRelay.this.getResources().getDrawable(R.drawable.set_no));
            }
            if (RCBTRelay.this.Button_RLMode == RCBTRelay.REQUEST_CODE) {
                button_SetMode_1RL.setBackgroundDrawable(RCBTRelay.this.getResources().getDrawable(R.drawable.set_no));
                button_SetMode_1RL_Time.setBackgroundDrawable(RCBTRelay.this.getResources().getDrawable(R.drawable.set_yes));
                button_SetMode_4RL.setBackgroundDrawable(RCBTRelay.this.getResources().getDrawable(R.drawable.set_no));
                button_SetMode_8RL.setBackgroundDrawable(RCBTRelay.this.getResources().getDrawable(R.drawable.set_no));
            }
            if (RCBTRelay.this.Button_RLMode == 2) {
                button_SetMode_1RL.setBackgroundDrawable(RCBTRelay.this.getResources().getDrawable(R.drawable.set_no));
                button_SetMode_1RL_Time.setBackgroundDrawable(RCBTRelay.this.getResources().getDrawable(R.drawable.set_no));
                button_SetMode_4RL.setBackgroundDrawable(RCBTRelay.this.getResources().getDrawable(R.drawable.set_yes));
                button_SetMode_8RL.setBackgroundDrawable(RCBTRelay.this.getResources().getDrawable(R.drawable.set_no));
            }
            if (RCBTRelay.this.Button_RLMode == 3) {
                button_SetMode_1RL.setBackgroundDrawable(RCBTRelay.this.getResources().getDrawable(R.drawable.set_no));
                button_SetMode_1RL_Time.setBackgroundDrawable(RCBTRelay.this.getResources().getDrawable(R.drawable.set_no));
                button_SetMode_4RL.setBackgroundDrawable(RCBTRelay.this.getResources().getDrawable(R.drawable.set_no));
                button_SetMode_8RL.setBackgroundDrawable(RCBTRelay.this.getResources().getDrawable(R.drawable.set_yes));
            }
        }
    };
    /* access modifiers changed from: private */
    public View.OnClickListener listener3 = new View.OnClickListener() {
        public void onClick(View v) {
            RCBTRelay.this.Button_GY_cou = RCBTRelay.ONGOING_ID;
            RCBTRelay.this.Button_KZ_cou = RCBTRelay.ONGOING_ID;
            RCBTRelay.this.setContentView(R.layout.frist_pz);
            if (RCBTRelay.this._socket != null) {
                ((Button) RCBTRelay.this.findViewById(R.id.Button_SS)).setText("断  开");
            }
            ((Button) RCBTRelay.this.findViewById(R.id.Button_KZ)).setOnClickListener(RCBTRelay.this.listener1);
            ((Button) RCBTRelay.this.findViewById(R.id.Button_GY)).setOnClickListener(RCBTRelay.this.listener2);
        }
    };
    /* access modifiers changed from: private */
    public View.OnClickListener listener4 = new View.OnClickListener() {
        public void onClick(View arg0) {
            Intent intent = new Intent();
            intent.setClass(RCBTRelay.this, GyRCETActivity.class);
            RCBTRelay.this.startActivity(intent);
        }
    };
    /* access modifiers changed from: private */
    public View.OnClickListener listener5 = new View.OnClickListener() {
        public void onClick(View arg0) {
            Intent intent = new Intent();
            intent.setClass(RCBTRelay.this, SybzActivity.class);
            RCBTRelay.this.startActivity(intent);
        }
    };
    private NotificationManager mNotificationManager;
    /* access modifiers changed from: private */
    public String smsg = "";
    /* access modifiers changed from: private */
    public ScrollView sv;
    /* access modifiers changed from: private */
    public TextWatcher watcher_ON_OFF_C = new TextWatcher() {
        public void afterTextChanged(Editable s) {
            EditText editContent_ON_OFF_C = (EditText) RCBTRelay.this.findViewById(R.id.Edit_ON_OFF_C);
            if (editContent_ON_OFF_C.getText().toString().length() == 0) {
                editContent_ON_OFF_C.setText("000");
            }
        }

        public void beforeTextChanged(CharSequence s, int start, int count, int after) {
        }

        public void onTextChanged(CharSequence s, int start, int before, int count) {
        }
    };
    /* access modifiers changed from: private */
    public TextWatcher watcher_Off_TH = new TextWatcher() {
        public void afterTextChanged(Editable s) {
            EditText editContent_Off_TH = (EditText) RCBTRelay.this.findViewById(R.id.Edit_OFF_TH);
            if (editContent_Off_TH.getText().toString().length() == 0) {
                editContent_Off_TH.setText("00");
            }
        }

        public void beforeTextChanged(CharSequence s, int start, int count, int after) {
        }

        public void onTextChanged(CharSequence s, int start, int before, int count) {
            EditText editContent_Off_TH = (EditText) RCBTRelay.this.findViewById(R.id.Edit_OFF_TH);
            if (start > 0 && Integer.parseInt(s.toString()) >= 99) {
                editContent_Off_TH.setText("99");
            }
        }
    };
    /* access modifiers changed from: private */
    public TextWatcher watcher_Off_TM = new TextWatcher() {
        public void afterTextChanged(Editable s) {
            EditText editContent_Off_TM = (EditText) RCBTRelay.this.findViewById(R.id.Edit_OFF_TM);
            if (editContent_Off_TM.getText().toString().length() == 0) {
                editContent_Off_TM.setText("00");
            } else if (editContent_Off_TM.getText().toString().length() != 0 && Integer.parseInt(s.toString()) > 59) {
                editContent_Off_TM.setText("59");
            }
        }

        public void beforeTextChanged(CharSequence s, int start, int count, int after) {
        }

        public void onTextChanged(CharSequence s, int start, int before, int count) {
            EditText editContent_Off_TM = (EditText) RCBTRelay.this.findViewById(R.id.Edit_OFF_TM);
            if (start > 0 && Integer.parseInt(s.toString()) >= 59) {
                editContent_Off_TM.setText("59");
            }
        }
    };
    /* access modifiers changed from: private */
    public TextWatcher watcher_Off_TS = new TextWatcher() {
        public void afterTextChanged(Editable s) {
            EditText editContent_Off_TS = (EditText) RCBTRelay.this.findViewById(R.id.Edit_OFF_TS);
            if (editContent_Off_TS.getText().toString().length() == 0) {
                editContent_Off_TS.setText("00");
            } else if (editContent_Off_TS.getText().toString().length() != 0 && Integer.parseInt(s.toString()) > 59) {
                editContent_Off_TS.setText("59");
            }
        }

        public void beforeTextChanged(CharSequence s, int start, int count, int after) {
        }

        public void onTextChanged(CharSequence s, int start, int before, int count) {
            EditText editContent_Off_TS = (EditText) RCBTRelay.this.findViewById(R.id.Edit_OFF_TS);
            if (start > 0 && Integer.parseInt(s.toString()) >= 60) {
                editContent_Off_TS.setText("60");
            }
        }
    };
    /* access modifiers changed from: private */
    public TextWatcher watcher_On_TH = new TextWatcher() {
        public void afterTextChanged(Editable s) {
            EditText editContent_On_TH = (EditText) RCBTRelay.this.findViewById(R.id.Edit_ON_TH);
            if (editContent_On_TH.getText().toString().length() == 0) {
                editContent_On_TH.setText("00");
            }
        }

        public void beforeTextChanged(CharSequence s, int start, int count, int after) {
        }

        public void onTextChanged(CharSequence s, int start, int before, int count) {
            EditText editContent_On_TH = (EditText) RCBTRelay.this.findViewById(R.id.Edit_ON_TH);
            if (start > 0 && Integer.parseInt(s.toString()) >= 99) {
                editContent_On_TH.setText("99");
            }
        }
    };
    /* access modifiers changed from: private */
    public TextWatcher watcher_On_TM = new TextWatcher() {
        public void afterTextChanged(Editable s) {
            EditText editContent_On_TM = (EditText) RCBTRelay.this.findViewById(R.id.Edit_ON_TM);
            if (editContent_On_TM.getText().toString().length() == 0) {
                editContent_On_TM.setText("00");
            } else if (editContent_On_TM.getText().toString().length() != 0 && Integer.parseInt(s.toString()) > 59) {
                editContent_On_TM.setText("59");
            }
        }

        public void beforeTextChanged(CharSequence s, int start, int count, int after) {
        }

        public void onTextChanged(CharSequence s, int start, int before, int count) {
            EditText editContent_On_TM = (EditText) RCBTRelay.this.findViewById(R.id.Edit_ON_TM);
            if (start > 0 && Integer.parseInt(s.toString()) >= 59) {
                editContent_On_TM.setText("59");
            }
        }
    };
    /* access modifiers changed from: private */
    public TextWatcher watcher_On_TS = new TextWatcher() {
        public void afterTextChanged(Editable s) {
            EditText editContent_On_TS = (EditText) RCBTRelay.this.findViewById(R.id.Edit_ON_TS);
            if (editContent_On_TS.getText().toString().length() == 0) {
                editContent_On_TS.setText("00");
            } else if (editContent_On_TS.getText().toString().length() != 0 && Integer.parseInt(s.toString()) > 59) {
                editContent_On_TS.setText("59");
            }
        }

        public void beforeTextChanged(CharSequence s, int start, int count, int after) {
        }

        public void onTextChanged(CharSequence s, int start, int before, int count) {
            EditText editContent_On_TS = (EditText) RCBTRelay.this.findViewById(R.id.Edit_ON_TS);
            if (start > 0 && Integer.parseInt(s.toString()) >= 60) {
                editContent_On_TS.setText("60");
            }
        }
    };

    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.third_gy);
        Read_Work_Modedata();
        setContentView(R.layout.frist_pz);
        ((Button) findViewById(R.id.Button_KZ)).setOnClickListener(this.listener1);
        ((Button) findViewById(R.id.Button_GY)).setOnClickListener(this.listener2);
        this.sv = (ScrollView) findViewById(R.id.ScrollView01);
        this.dis = (TextView) findViewById(R.id.in_TEST);
        if (this._bluetooth == null) {
            Toast.makeText(this, "无法打开手机蓝牙，请确认手机是否有蓝牙功能！", REQUEST_CODE).show();
            return;
        }
        new Thread() {
            public void run() {
                if (!RCBTRelay.this._bluetooth.isEnabled()) {
                    RCBTRelay.this._bluetooth.enable();
                }
            }
        }.start();
        if (this._socket == null && this.Button_ConnectMode == REQUEST_CODE) {
            Intent serverIntent = new Intent(this, BluetoothfindActivity.class);
            serverIntent.putExtra("key", this.Button_ConnectMode);
            startActivityForResult(serverIntent, REQUEST_CODE);
        }
    }

    public void onActivityResult(int requestCode, int resultCode, Intent data) {
        switch (requestCode) {
            case REQUEST_CODE /*1*/:
                if (resultCode == -1) {
                    this._device = this._bluetooth.getRemoteDevice(data.getExtras().getString(BluetoothfindActivity.EXTRA_DEVICE_ADDRESS));
                    try {
                        this._socket = this._device.createRfcommSocketToServiceRecord(UUID.fromString(MY_UUID));
                    } catch (IOException e) {
                        Toast.makeText(this, "连接失败！", ONGOING_ID).show();
                    }
                    Button btn = (Button) findViewById(R.id.Button_SS);
                    try {
                        this._socket.connect();
                        Toast.makeText(this, "连接" + this._device.getName() + "成功！", ONGOING_ID).show();
                        btn.setText("断  开");
                        ((Button) findViewById(R.id.Button_KZ)).performClick();
                        try {
                            this.is = this._socket.getInputStream();
                            if (!this.bThread) {
                                this.ReadThread.start();
                                this.bThread = true;
                                return;
                            }
                            this.bRun = true;
                            return;
                        } catch (IOException e2) {
                            Toast.makeText(this, "接收数据失败！", ONGOING_ID).show();
                            return;
                        }
                    } catch (IOException e3) {
                        try {
                            Toast.makeText(this, "连接失败！", ONGOING_ID).show();
                            this._socket.close();
                            this._socket = null;
                            return;
                        } catch (IOException e4) {
                            Toast.makeText(this, "连接失败！", ONGOING_ID).show();
                            return;
                        }
                    }
                } else {
                    return;
                }
            default:
                return;
        }
    }

    /* access modifiers changed from: private */
    public void delay(int ms) {
        try {
            Thread.currentThread();
            Thread.sleep((long) ms);
        } catch (InterruptedException e) {
            e.printStackTrace();
        }
    }

    public void onfindButtonClicked(View v) {
        if (!this._bluetooth.isEnabled()) {
            Toast.makeText(this, "打开蓝牙中...", REQUEST_CODE).show();
            return;
        }
        Button btn = (Button) findViewById(R.id.Button_SS);
        if (this._socket == null) {
            Intent serverIntent = new Intent(this, BluetoothfindActivity.class);
            serverIntent.putExtra("key", this.Button_ConnectMode);
            startActivityForResult(serverIntent, REQUEST_CODE);
            return;
        }
        try {
            this.is.close();
            this._socket.close();
            this._socket = null;
            this.bRun = false;
            btn.setText("搜  索");
        } catch (IOException e) {
        }
    }

    public void onSendButtonClicked_CMM(View v) {
        if (this._socket != null) {
            int n = ONGOING_ID;
            byte[] bos = ((EditText) findViewById(R.id.Edit0)).getText().toString().getBytes();
            for (int i = ONGOING_ID; i < bos.length; i += REQUEST_CODE) {
                if (bos[i] == 10) {
                    n += REQUEST_CODE;
                }
            }
            byte[] bos_new = new byte[(bos.length + n)];
            int n2 = ONGOING_ID;
            for (int i2 = ONGOING_ID; i2 < bos.length; i2 += REQUEST_CODE) {
                if (bos[i2] == 10) {
                    bos_new[n2] = 13;
                    n2 += REQUEST_CODE;
                    bos_new[n2] = 10;
                } else {
                    bos_new[n2] = bos[i2];
                }
                n2 += REQUEST_CODE;
            }
            try {
                this._socket.getOutputStream().write(bos_new);
            } catch (Exception e) {
            }
            try {
                this._socket.getOutputStream().write(78);
            } catch (Exception e2) {
            }
            if (n2 == 4) {
                delay(10);
                try {
                    this.is.close();
                    this._socket.close();
                    this._socket = null;
                    this.bRun = false;
                    ((Button) findViewById(R.id.Button_SS)).setText("搜   索");
                } catch (IOException e3) {
                }
            }
        }
    }

    public void onSendButtonClicked_GGDZ(View v) {
        if (this._socket != null) {
            int n = ONGOING_ID;
            byte[] bos = ((EditText) findViewById(R.id.Edit1)).getText().toString().getBytes();
            for (int i = ONGOING_ID; i < bos.length; i += REQUEST_CODE) {
                if (bos[i] == 10) {
                    n += REQUEST_CODE;
                }
            }
            byte[] bos_new = new byte[(bos.length + n)];
            int n2 = ONGOING_ID;
            for (int i2 = ONGOING_ID; i2 < bos.length; i2 += REQUEST_CODE) {
                if (bos[i2] == 10) {
                    bos_new[n2] = 13;
                    n2 += REQUEST_CODE;
                    bos_new[n2] = 10;
                } else {
                    bos_new[n2] = bos[i2];
                }
                n2 += REQUEST_CODE;
            }
            try {
                this._socket.getOutputStream().write(bos_new);
            } catch (Exception e) {
            }
            try {
                this._socket.getOutputStream().write(76);
            } catch (Exception e2) {
            }
            if (n2 == 4) {
                delay(10);
                try {
                    this.is.close();
                    this._socket.close();
                    this._socket = null;
                    this.bRun = false;
                    ((Button) findViewById(R.id.Button_SS)).setText("搜索");
                } catch (IOException e3) {
                }
            }
        }
    }

    public void onSendButtonClicked_MMCZ(View v) {
        if (this._socket != null) {
            int n = ONGOING_ID;
            byte[] bos = ((EditText) findViewById(R.id.Edit2)).getText().toString().getBytes();
            for (int i = ONGOING_ID; i < bos.length; i += REQUEST_CODE) {
                if (bos[i] == 10) {
                    n += REQUEST_CODE;
                }
            }
            byte[] bos_new = new byte[(bos.length + n)];
            int n2 = ONGOING_ID;
            for (int i2 = ONGOING_ID; i2 < bos.length; i2 += REQUEST_CODE) {
                if (bos[i2] == 10) {
                    bos_new[n2] = 13;
                    n2 += REQUEST_CODE;
                    bos_new[n2] = 10;
                } else {
                    bos_new[n2] = bos[i2];
                }
                n2 += REQUEST_CODE;
            }
            try {
                this._socket.getOutputStream().write(bos_new);
            } catch (Exception e) {
            }
            try {
                this._socket.getOutputStream().write(80);
            } catch (Exception e2) {
            }
            if (n2 == 4) {
                delay(10);
                try {
                    this.is.close();
                    this._socket.close();
                    this._socket = null;
                    this.bRun = false;
                    ((Button) findViewById(R.id.Button_SS)).setText("搜索");
                } catch (IOException e3) {
                }
            }
        }
    }

    public void RL1_ButtonClicked(View v) {
        if (this._socket == null) {
            Toast.makeText(this, "未连接设备", REQUEST_CODE).show();
            return;
        }
        this.RL1_down_C += REQUEST_CODE;
        Button button_RL1 = (Button) findViewById(R.id.Button_rl1);
        if (this.RL1_down_C == REQUEST_CODE) {
            button_RL1.setBackgroundDrawable(getResources().getDrawable(R.drawable.on_png));
            try {
                OutputStream os = this._socket.getOutputStream();
                os.write(68);
                os.write(78);
                os.write(17);
            } catch (Exception e) {
            }
        }
        if (this.RL1_down_C == 2) {
            button_RL1.setBackgroundDrawable(getResources().getDrawable(R.drawable.off_png));
            this.RL1_down_C = ONGOING_ID;
            try {
                OutputStream os2 = this._socket.getOutputStream();
                os2.write(85);
                os2.write(70);
                os2.write(16);
            } catch (Exception e2) {
            }
        }
    }

    public void RL2_ButtonClicked(View v) {
        if (this._socket == null) {
            Toast.makeText(this, "未连接设备", REQUEST_CODE).show();
        } else {
            ((Button) findViewById(R.id.Button_rl2)).setOnTouchListener(new View.OnTouchListener() {
                public boolean onTouch(View arg0, MotionEvent arg1) {
                    if (arg1.getAction() == 0) {
                        try {
                            OutputStream os = RCBTRelay.this._socket.getOutputStream();
                            os.write(68);
                            os.write(78);
                            os.write(17);
                        } catch (Exception e) {
                        }
                    }
                    if (arg1.getAction() != RCBTRelay.REQUEST_CODE) {
                        return false;
                    }
                    RCBTRelay.this.delay(10);
                    try {
                        OutputStream os2 = RCBTRelay.this._socket.getOutputStream();
                        os2.write(85);
                        os2.write(70);
                        os2.write(16);
                        return false;
                    } catch (Exception e2) {
                        return false;
                    }
                }
            });
        }
    }

    public void Read_Work_Modedata() {
        if (this.Button_GY_cou == 0) {
            this.Button_GY_cou = REQUEST_CODE;
            try {
                String content = new FileService().read(openFileInput(((TextView) findViewById(R.id.Work_Modedata)).getText().toString()));
                this.Button_ConnectMode = Integer.parseInt(content.substring(ONGOING_ID, REQUEST_CODE));
                this.Button_RLMode = Integer.parseInt(content.substring(REQUEST_CODE, 2));
            } catch (Exception e) {
                e.printStackTrace();
            }
        }
    }

    public boolean onKeyDown(int keyCode, KeyEvent event) {
        if (keyCode != 4) {
            return false;
        }
        AlertDialog isExit = new AlertDialog.Builder(this).create();
        isExit.setTitle("系统提示");
        isExit.setMessage("确定要退出吗");
        isExit.setButton("确定", this.listener);
        isExit.setButton2("取消", this.listener);
        isExit.show();
        return false;
    }

    public BluetoothAdapter get_bluetooth() {
        return this._bluetooth;
    }

    public void set_bluetooth(BluetoothAdapter _bluetooth2) {
        this._bluetooth = _bluetooth2;
    }

    public void onQuitButtonClicked(View v) {
        if (this._socket != null) {
            try {
                this.is.close();
                this._socket.close();
                this._socket = null;
                this.bRun = false;
            } catch (IOException e) {
            }
        }
        delay(100);
        finish();
    }

    public void onButton_GYM_Set(View v) {
        Intent intent = new Intent();
        intent.setClass(this, GYModActivity.class);
        startActivity(intent);
    }

    public void onButton_GXSM(View v) {
        Intent intent = new Intent();
        intent.setClass(this, GXSMActivity.class);
        startActivity(intent);
    }

    public void onButton_SetConnectMode(View v) {
        FileService service = new FileService();
        TextView textView_Work_Modedata = (TextView) findViewById(R.id.Work_Modedata);
        Button button_SetConnectMode = (Button) findViewById(R.id.Button_SetConnectMode);
        if (this.Button_ConnectMode == 0) {
            this.Button_ConnectMode = REQUEST_CODE;
            button_SetConnectMode.setBackgroundDrawable(getResources().getDrawable(R.drawable.set_yes));
            try {
                service.save(openFileOutput(textView_Work_Modedata.getText().toString(), ONGOING_ID), "1");
                service.save(openFileOutput(textView_Work_Modedata.getText().toString(), 32768), String.valueOf(this.Button_RLMode));
            } catch (Exception e) {
                e.printStackTrace();
            }
        } else {
            this.Button_ConnectMode = ONGOING_ID;
            button_SetConnectMode.setBackgroundDrawable(getResources().getDrawable(R.drawable.set_no));
            try {
                service.save(openFileOutput(textView_Work_Modedata.getText().toString(), ONGOING_ID), "0");
                service.save(openFileOutput(textView_Work_Modedata.getText().toString(), 32768), String.valueOf(this.Button_RLMode));
            } catch (Exception e2) {
                e2.printStackTrace();
            }
        }
    }

    public void onButton_SetMode_1RL(View v) {
        this.Button_RLMode = ONGOING_ID;
        ((Button) findViewById(R.id.Button_SetMode_1RL)).setBackgroundDrawable(getResources().getDrawable(R.drawable.set_yes));
        ((Button) findViewById(R.id.Button_SetMode_1RL_Time)).setBackgroundDrawable(getResources().getDrawable(R.drawable.set_no));
        ((Button) findViewById(R.id.Button_SetMode_4RL)).setBackgroundDrawable(getResources().getDrawable(R.drawable.set_no));
        ((Button) findViewById(R.id.Button_SetMode_8RL)).setBackgroundDrawable(getResources().getDrawable(R.drawable.set_no));
        FileService service = new FileService();
        TextView textView_Work_Modedata = (TextView) findViewById(R.id.Work_Modedata);
        try {
            service.save(openFileOutput(textView_Work_Modedata.getText().toString(), ONGOING_ID), String.valueOf(this.Button_ConnectMode));
            service.save(openFileOutput(textView_Work_Modedata.getText().toString(), 32768), "0");
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    public void onButton_SetMode_1RL_Time(View v) {
        this.Button_RLMode = REQUEST_CODE;
        ((Button) findViewById(R.id.Button_SetMode_1RL)).setBackgroundDrawable(getResources().getDrawable(R.drawable.set_no));
        ((Button) findViewById(R.id.Button_SetMode_1RL_Time)).setBackgroundDrawable(getResources().getDrawable(R.drawable.set_yes));
        ((Button) findViewById(R.id.Button_SetMode_4RL)).setBackgroundDrawable(getResources().getDrawable(R.drawable.set_no));
        ((Button) findViewById(R.id.Button_SetMode_8RL)).setBackgroundDrawable(getResources().getDrawable(R.drawable.set_no));
        FileService service = new FileService();
        TextView textView_Work_Modedata = (TextView) findViewById(R.id.Work_Modedata);
        try {
            service.save(openFileOutput(textView_Work_Modedata.getText().toString(), ONGOING_ID), String.valueOf(this.Button_ConnectMode));
            service.save(openFileOutput(textView_Work_Modedata.getText().toString(), 32768), "1");
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    public void onButton_SetMode_4RL(View v) {
        this.Button_RLMode = 2;
        ((Button) findViewById(R.id.Button_SetMode_1RL)).setBackgroundDrawable(getResources().getDrawable(R.drawable.set_no));
        ((Button) findViewById(R.id.Button_SetMode_1RL_Time)).setBackgroundDrawable(getResources().getDrawable(R.drawable.set_no));
        ((Button) findViewById(R.id.Button_SetMode_4RL)).setBackgroundDrawable(getResources().getDrawable(R.drawable.set_yes));
        ((Button) findViewById(R.id.Button_SetMode_8RL)).setBackgroundDrawable(getResources().getDrawable(R.drawable.set_no));
        FileService service = new FileService();
        TextView textView_Work_Modedata = (TextView) findViewById(R.id.Work_Modedata);
        try {
            service.save(openFileOutput(textView_Work_Modedata.getText().toString(), ONGOING_ID), String.valueOf(this.Button_ConnectMode));
            service.save(openFileOutput(textView_Work_Modedata.getText().toString(), 32768), "2");
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    public void onButton_SetMode_8RL(View v) {
        this.Button_RLMode = 3;
        ((Button) findViewById(R.id.Button_SetMode_1RL)).setBackgroundDrawable(getResources().getDrawable(R.drawable.set_no));
        ((Button) findViewById(R.id.Button_SetMode_1RL_Time)).setBackgroundDrawable(getResources().getDrawable(R.drawable.set_no));
        ((Button) findViewById(R.id.Button_SetMode_4RL)).setBackgroundDrawable(getResources().getDrawable(R.drawable.set_no));
        ((Button) findViewById(R.id.Button_SetMode_8RL)).setBackgroundDrawable(getResources().getDrawable(R.drawable.set_yes));
        FileService service = new FileService();
        TextView textView_Work_Modedata = (TextView) findViewById(R.id.Work_Modedata);
        try {
            service.save(openFileOutput(textView_Work_Modedata.getText().toString(), ONGOING_ID), String.valueOf(this.Button_ConnectMode));
            service.save(openFileOutput(textView_Work_Modedata.getText().toString(), 32768), "3");
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    public void SaveTime_Buttonclicked(View v) {
        if (this._socket == null) {
            Toast.makeText(this, "未连接设备", REQUEST_CODE).show();
            return;
        }
        FileService service = new FileService();
        EditText editName_Edit_SetTime_TXTName = (EditText) findViewById(R.id.Edit_SetTime_TXTName);
        EditText editContent_Edit_ON_TH = (EditText) findViewById(R.id.Edit_ON_TH);
        EditText editContent_Edit_ON_TM = (EditText) findViewById(R.id.Edit_ON_TM);
        EditText editContent_Edit_ON_TS = (EditText) findViewById(R.id.Edit_ON_TS);
        EditText editContent_Edit_OFF_TH = (EditText) findViewById(R.id.Edit_OFF_TH);
        EditText editContent_Edit_OFF_TM = (EditText) findViewById(R.id.Edit_OFF_TM);
        EditText editContent_Edit_OFF_TS = (EditText) findViewById(R.id.Edit_OFF_TS);
        EditText editContent_Edit_ON_OFF_C = (EditText) findViewById(R.id.Edit_ON_OFF_C);
        TextView textView_Time_ModeName = (TextView) findViewById(R.id.Time_ModeName);
        try {
            if (editContent_Edit_ON_TH.getText().toString().length() == REQUEST_CODE) {
                service.save(openFileOutput(editName_Edit_SetTime_TXTName.getText().toString(), ONGOING_ID), "0");
                service.save(openFileOutput(editName_Edit_SetTime_TXTName.getText().toString(), 32768), editContent_Edit_ON_TH.getText().toString());
            } else {
                service.save(openFileOutput(editName_Edit_SetTime_TXTName.getText().toString(), ONGOING_ID), editContent_Edit_ON_TH.getText().toString());
            }
            if (editContent_Edit_ON_TM.getText().toString().length() == REQUEST_CODE) {
                service.save(openFileOutput(editName_Edit_SetTime_TXTName.getText().toString(), 32768), "0");
                service.save(openFileOutput(editName_Edit_SetTime_TXTName.getText().toString(), 32768), editContent_Edit_ON_TM.getText().toString());
            } else {
                service.save(openFileOutput(editName_Edit_SetTime_TXTName.getText().toString(), 32768), editContent_Edit_ON_TM.getText().toString());
            }
            if (editContent_Edit_ON_TS.getText().toString().length() == REQUEST_CODE) {
                service.save(openFileOutput(editName_Edit_SetTime_TXTName.getText().toString(), 32768), "0");
                service.save(openFileOutput(editName_Edit_SetTime_TXTName.getText().toString(), 32768), editContent_Edit_ON_TS.getText().toString());
            } else {
                service.save(openFileOutput(editName_Edit_SetTime_TXTName.getText().toString(), 32768), editContent_Edit_ON_TS.getText().toString());
            }
            if (editContent_Edit_OFF_TH.getText().toString().length() == REQUEST_CODE) {
                service.save(openFileOutput(editName_Edit_SetTime_TXTName.getText().toString(), 32768), "0");
                service.save(openFileOutput(editName_Edit_SetTime_TXTName.getText().toString(), 32768), editContent_Edit_OFF_TH.getText().toString());
            } else {
                service.save(openFileOutput(editName_Edit_SetTime_TXTName.getText().toString(), 32768), editContent_Edit_OFF_TH.getText().toString());
            }
            if (editContent_Edit_OFF_TM.getText().toString().length() == REQUEST_CODE) {
                service.save(openFileOutput(editName_Edit_SetTime_TXTName.getText().toString(), 32768), "0");
                service.save(openFileOutput(editName_Edit_SetTime_TXTName.getText().toString(), 32768), editContent_Edit_OFF_TM.getText().toString());
            } else {
                service.save(openFileOutput(editName_Edit_SetTime_TXTName.getText().toString(), 32768), editContent_Edit_OFF_TM.getText().toString());
            }
            if (editContent_Edit_OFF_TS.getText().toString().length() == REQUEST_CODE) {
                service.save(openFileOutput(editName_Edit_SetTime_TXTName.getText().toString(), 32768), "0");
                service.save(openFileOutput(editName_Edit_SetTime_TXTName.getText().toString(), 32768), editContent_Edit_OFF_TS.getText().toString());
            } else {
                service.save(openFileOutput(editName_Edit_SetTime_TXTName.getText().toString(), 32768), editContent_Edit_OFF_TS.getText().toString());
            }
            if (editContent_Edit_ON_OFF_C.getText().toString().length() == REQUEST_CODE) {
                service.save(openFileOutput(editName_Edit_SetTime_TXTName.getText().toString(), 32768), "00");
                service.save(openFileOutput(editName_Edit_SetTime_TXTName.getText().toString(), 32768), editContent_Edit_ON_OFF_C.getText().toString());
            }
            if (editContent_Edit_ON_OFF_C.getText().toString().length() == 2) {
                service.save(openFileOutput(editName_Edit_SetTime_TXTName.getText().toString(), 32768), "0");
                service.save(openFileOutput(editName_Edit_SetTime_TXTName.getText().toString(), 32768), editContent_Edit_ON_OFF_C.getText().toString());
            }
            if (editContent_Edit_ON_OFF_C.getText().toString().length() == 3) {
                service.save(openFileOutput(editName_Edit_SetTime_TXTName.getText().toString(), 32768), editContent_Edit_ON_OFF_C.getText().toString());
            }
            service.save(openFileOutput(textView_Time_ModeName.getText().toString(), ONGOING_ID), editName_Edit_SetTime_TXTName.getText().toString());
            Toast.makeText(this, "时间设定成功", REQUEST_CODE).show();
        } catch (Exception e) {
            e.printStackTrace();
        }
        if (this._socket != null) {
            int n = ONGOING_ID;
            try {
                byte[] bos = service.read(openFileInput(editName_Edit_SetTime_TXTName.getText().toString())).getBytes();
                for (int i = ONGOING_ID; i < bos.length; i += REQUEST_CODE) {
                    if (bos[i] == 10) {
                        n += REQUEST_CODE;
                    }
                }
                byte[] bos_new = new byte[(bos.length + n)];
                int n2 = ONGOING_ID;
                for (int i2 = ONGOING_ID; i2 < bos.length; i2 += REQUEST_CODE) {
                    if (bos[i2] == 10) {
                        bos_new[n2] = 13;
                        n2 += REQUEST_CODE;
                        bos_new[n2] = 10;
                    } else {
                        bos_new[n2] = bos[i2];
                    }
                    n2 += REQUEST_CODE;
                }
                try {
                    this._socket.getOutputStream().write(bos_new);
                } catch (Exception e2) {
                }
            } catch (Exception e3) {
                e3.printStackTrace();
            }
            try {
                this._socket.getOutputStream().write(84);
            } catch (Exception e4) {
            }
        }
    }

    public void ReadTime_Buttonclicked(View v) {
        FileService service = new FileService();
        EditText editName_Edit_SetTime_TXTName = (EditText) findViewById(R.id.Edit_SetTime_TXTName);
        EditText editContent_Edit_ON_TH = (EditText) findViewById(R.id.Edit_ON_TH);
        EditText editContent_Edit_ON_TM = (EditText) findViewById(R.id.Edit_ON_TM);
        EditText editContent_Edit_ON_TS = (EditText) findViewById(R.id.Edit_ON_TS);
        EditText editContent_Edit_OFF_TH = (EditText) findViewById(R.id.Edit_OFF_TH);
        EditText editContent_Edit_OFF_TM = (EditText) findViewById(R.id.Edit_OFF_TM);
        EditText editContent_Edit_OFF_TS = (EditText) findViewById(R.id.Edit_OFF_TS);
        EditText editContent_Edit_ON_OFF_C = (EditText) findViewById(R.id.Edit_ON_OFF_C);
        try {
            String content = service.read(openFileInput(editName_Edit_SetTime_TXTName.getText().toString()));
            editContent_Edit_ON_TH.setText(content.substring(ONGOING_ID, 2));
            editContent_Edit_ON_TM.setText(content.substring(2, 4));
            editContent_Edit_ON_TS.setText(content.substring(4, 6));
            editContent_Edit_OFF_TH.setText(content.substring(6, 8));
            editContent_Edit_OFF_TM.setText(content.substring(8, 10));
            editContent_Edit_OFF_TS.setText(content.substring(10, 12));
            editContent_Edit_ON_OFF_C.setText(content.substring(12, 15));
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    public void Button_KZonClinked(View v) {
        if (this.Button_KZ_cou == 0) {
            this.Button_KZ_cou = REQUEST_CODE;
            FileService service = new FileService();
            try {
                ((EditText) findViewById(R.id.Edit_SetTime_TXTName)).setText(service.read(openFileInput(((TextView) findViewById(R.id.Time_ModeName)).getText().toString())));
            } catch (Exception e) {
                e.printStackTrace();
            }
        }
    }

    public void CK_RealTimeClicked(View v) {
        if (this._socket == null) {
            Toast.makeText(this, "未连接设备", REQUEST_CODE).show();
            return;
        }
        CX_ACSII();
        delay(200);
        if (this.smsg != "") {
            ((TextView) findViewById(R.id.in_ON_TH_RE)).setText(this.smsg.substring(ONGOING_ID, 2));
            ((TextView) findViewById(R.id.in_ON_TM_RE)).setText(this.smsg.substring(2, 4));
            ((TextView) findViewById(R.id.in_ON_TS_RE)).setText(this.smsg.substring(4, 6));
            ((TextView) findViewById(R.id.in_OFF_TH_RE)).setText(this.smsg.substring(6, 8));
            ((TextView) findViewById(R.id.in_OFF_TM_RE)).setText(this.smsg.substring(8, 10));
            ((TextView) findViewById(R.id.in_OFF_TS_RE)).setText(this.smsg.substring(10, 12));
            ((TextView) findViewById(R.id.in_ON_OFF_C_RE)).setText(this.smsg.substring(12, 15));
            this.smsg = "";
        }
    }

    public void CX_ACSII() {
        try {
            OutputStream os = this._socket.getOutputStream();
            os.write(67);
            os.write(88);
        } catch (Exception e) {
        }
    }

    public void Button_4RL1_2Clicked(View v) {
        if (this._socket == null) {
            Toast.makeText(this, "未连接设备", REQUEST_CODE).show();
            return;
        }
        Button button_4RL1 = (Button) findViewById(R.id.Button_4RL1_2);
        this.RL1_down_C += REQUEST_CODE;
        if (this.RL1_down_C == REQUEST_CODE) {
            button_4RL1.setBackgroundDrawable(getResources().getDrawable(R.drawable.on_png));
            try {
                OutputStream os = this._socket.getOutputStream();
                os.write(68);
                os.write(76);
                os.write(17);
                os.write(48);
                os.write(48);
            } catch (Exception e) {
            }
        }
        if (this.RL1_down_C == 2) {
            button_4RL1.setBackgroundDrawable(getResources().getDrawable(R.drawable.off_png));
            this.RL1_down_C = ONGOING_ID;
            try {
                OutputStream os2 = this._socket.getOutputStream();
                os2.write(85);
                os2.write(76);
                os2.write(16);
                os2.write(48);
                os2.write(48);
            } catch (Exception e2) {
            }
        }
    }

    public void Button_4RL1_1Clicked(View v) {
        if (this._socket == null) {
            Toast.makeText(this, "未连接设备", REQUEST_CODE).show();
        } else {
            ((Button) findViewById(R.id.Button_4RL1_1)).setOnTouchListener(new View.OnTouchListener() {
                public boolean onTouch(View arg0, MotionEvent arg1) {
                    if (arg1.getAction() == 0) {
                        try {
                            OutputStream os = RCBTRelay.this._socket.getOutputStream();
                            os.write(68);
                            os.write(76);
                            os.write(17);
                            os.write(48);
                            os.write(48);
                        } catch (Exception e) {
                        }
                    }
                    if (arg1.getAction() != RCBTRelay.REQUEST_CODE) {
                        return false;
                    }
                    RCBTRelay.this.delay(RCBTRelay.REQUEST_CODE);
                    try {
                        OutputStream os2 = RCBTRelay.this._socket.getOutputStream();
                        os2.write(85);
                        os2.write(76);
                        os2.write(16);
                        os2.write(48);
                        os2.write(48);
                        return false;
                    } catch (Exception e2) {
                        return false;
                    }
                }
            });
        }
    }

    public void Button_4RL2_2Clicked(View v) {
        if (this._socket == null) {
            Toast.makeText(this, "未连接设备", REQUEST_CODE).show();
            return;
        }
        Button button_4RL2 = (Button) findViewById(R.id.Button_4RL2_2);
        this.RL2_down_C += REQUEST_CODE;
        if (this.RL2_down_C == REQUEST_CODE) {
            button_4RL2.setBackgroundDrawable(getResources().getDrawable(R.drawable.on_png));
            try {
                OutputStream os = this._socket.getOutputStream();
                os.write(69);
                os.write(76);
                os.write(50);
                os.write(89);
                os.write(48);
            } catch (Exception e) {
            }
        }
        if (this.RL2_down_C == 2) {
            button_4RL2.setBackgroundDrawable(getResources().getDrawable(R.drawable.off_png));
            this.RL2_down_C = ONGOING_ID;
            try {
                OutputStream os2 = this._socket.getOutputStream();
                os2.write(86);
                os2.write(76);
                os2.write(50);
                os2.write(89);
                os2.write(48);
            } catch (Exception e2) {
            }
        }
    }

    public void Button_4RL2_1Clicked(View v) {
        if (this._socket == null) {
            Toast.makeText(this, "未连接设备", REQUEST_CODE).show();
        } else {
            ((Button) findViewById(R.id.Button_4RL2_1)).setOnTouchListener(new View.OnTouchListener() {
                public boolean onTouch(View arg0, MotionEvent arg1) {
                    if (arg1.getAction() == 0) {
                        try {
                            OutputStream os = RCBTRelay.this._socket.getOutputStream();
                            os.write(69);
                            os.write(76);
                            os.write(50);
                            os.write(89);
                            os.write(48);
                        } catch (Exception e) {
                        }
                    }
                    if (arg1.getAction() != RCBTRelay.REQUEST_CODE) {
                        return false;
                    }
                    RCBTRelay.this.delay(RCBTRelay.REQUEST_CODE);
                    try {
                        OutputStream os2 = RCBTRelay.this._socket.getOutputStream();
                        os2.write(86);
                        os2.write(76);
                        os2.write(50);
                        os2.write(89);
                        os2.write(48);
                        return false;
                    } catch (Exception e2) {
                        return false;
                    }
                }
            });
        }
    }

    public void Button_4RL3_2Clicked(View v) {
        if (this._socket == null) {
            Toast.makeText(this, "未连接设备", REQUEST_CODE).show();
            return;
        }
        Button button_4RL3 = (Button) findViewById(R.id.Button_4RL3_2);
        this.RL3_down_C += REQUEST_CODE;
        if (this.RL3_down_C == REQUEST_CODE) {
            button_4RL3.setBackgroundDrawable(getResources().getDrawable(R.drawable.on_png));
            try {
                OutputStream os = this._socket.getOutputStream();
                os.write(70);
                os.write(76);
                os.write(51);
                os.write(89);
                os.write(48);
            } catch (Exception e) {
            }
        }
        if (this.RL3_down_C == 2) {
            button_4RL3.setBackgroundDrawable(getResources().getDrawable(R.drawable.off_png));
            this.RL3_down_C = ONGOING_ID;
            try {
                OutputStream os2 = this._socket.getOutputStream();
                os2.write(87);
                os2.write(76);
                os2.write(51);
                os2.write(89);
                os2.write(48);
            } catch (Exception e2) {
            }
        }
    }

    public void Button_4RL3_1Clicked(View v) {
        if (this._socket == null) {
            Toast.makeText(this, "未连接设备", REQUEST_CODE).show();
        } else {
            ((Button) findViewById(R.id.Button_4RL3_1)).setOnTouchListener(new View.OnTouchListener() {
                public boolean onTouch(View arg0, MotionEvent arg1) {
                    if (arg1.getAction() == 0) {
                        try {
                            OutputStream os = RCBTRelay.this._socket.getOutputStream();
                            os.write(70);
                            os.write(76);
                            os.write(51);
                            os.write(89);
                            os.write(48);
                        } catch (Exception e) {
                        }
                    }
                    if (arg1.getAction() != RCBTRelay.REQUEST_CODE) {
                        return false;
                    }
                    RCBTRelay.this.delay(RCBTRelay.REQUEST_CODE);
                    try {
                        OutputStream os2 = RCBTRelay.this._socket.getOutputStream();
                        os2.write(87);
                        os2.write(76);
                        os2.write(51);
                        os2.write(89);
                        os2.write(89);
                        return false;
                    } catch (Exception e2) {
                        return false;
                    }
                }
            });
        }
    }

    public void Button_4RL4_2Clicked(View v) {
        if (this._socket == null) {
            Toast.makeText(this, "未连接设备", REQUEST_CODE).show();
            return;
        }
        Button button_4RL4 = (Button) findViewById(R.id.Button_4RL4_2);
        this.RL4_down_C += REQUEST_CODE;
        if (this.RL4_down_C == REQUEST_CODE) {
            button_4RL4.setBackgroundDrawable(getResources().getDrawable(R.drawable.on_png));
            try {
                OutputStream os = this._socket.getOutputStream();
                os.write(71);
                os.write(76);
                os.write(52);
                os.write(89);
                os.write(48);
            } catch (Exception e) {
            }
        }
        if (this.RL4_down_C == 2) {
            button_4RL4.setBackgroundDrawable(getResources().getDrawable(R.drawable.off_png));
            this.RL4_down_C = ONGOING_ID;
            try {
                OutputStream os2 = this._socket.getOutputStream();
                os2.write(88);
                os2.write(76);
                os2.write(52);
                os2.write(89);
                os2.write(48);
            } catch (Exception e2) {
            }
        }
    }

    public void Button_4RL4_1Clicked(View v) {
        if (this._socket == null) {
            Toast.makeText(this, "未连接设备", REQUEST_CODE).show();
        } else {
            ((Button) findViewById(R.id.Button_4RL4_1)).setOnTouchListener(new View.OnTouchListener() {
                public boolean onTouch(View arg0, MotionEvent arg1) {
                    if (arg1.getAction() == 0) {
                        try {
                            OutputStream os = RCBTRelay.this._socket.getOutputStream();
                            os.write(71);
                            os.write(76);
                            os.write(52);
                            os.write(89);
                            os.write(48);
                        } catch (Exception e) {
                        }
                    }
                    if (arg1.getAction() != RCBTRelay.REQUEST_CODE) {
                        return false;
                    }
                    RCBTRelay.this.delay(RCBTRelay.REQUEST_CODE);
                    try {
                        OutputStream os2 = RCBTRelay.this._socket.getOutputStream();
                        os2.write(88);
                        os2.write(76);
                        os2.write(52);
                        os2.write(89);
                        os2.write(48);
                        return false;
                    } catch (Exception e2) {
                        return false;
                    }
                }
            });
        }
    }

    public void Button_Save_EditText_4RLClicked(View v) {
        FileService service = new FileService();
        TextView Name_4RL1 = (TextView) findViewById(R.id.Name_4RL1);
        TextView Name_4RL2 = (TextView) findViewById(R.id.Name_4RL2);
        TextView Name_4RL3 = (TextView) findViewById(R.id.Name_4RL3);
        TextView Name_4RL4 = (TextView) findViewById(R.id.Name_4RL4);
        EditText editName_4RL1 = (EditText) findViewById(R.id.EditText_4RL1);
        EditText editName_4RL2 = (EditText) findViewById(R.id.EditText_4RL2);
        EditText editName_4RL3 = (EditText) findViewById(R.id.EditText_4RL3);
        EditText editName_4RL4 = (EditText) findViewById(R.id.EditText_4RL4);
        try {
            service.save(openFileOutput(Name_4RL1.getText().toString(), ONGOING_ID), editName_4RL1.getText().toString());
            service.save(openFileOutput(Name_4RL2.getText().toString(), ONGOING_ID), editName_4RL2.getText().toString());
            service.save(openFileOutput(Name_4RL3.getText().toString(), ONGOING_ID), editName_4RL3.getText().toString());
            service.save(openFileOutput(Name_4RL4.getText().toString(), ONGOING_ID), editName_4RL4.getText().toString());
            Toast.makeText(this, "设备更名成功", REQUEST_CODE).show();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    public void Read_Save_EditText_4RL_Name() {
        FileService service = new FileService();
        TextView Name_4RL1 = (TextView) findViewById(R.id.Name_4RL1);
        TextView Name_4RL2 = (TextView) findViewById(R.id.Name_4RL2);
        TextView Name_4RL3 = (TextView) findViewById(R.id.Name_4RL3);
        TextView Name_4RL4 = (TextView) findViewById(R.id.Name_4RL4);
        EditText editName_4RL1 = (EditText) findViewById(R.id.EditText_4RL1);
        EditText editName_4RL2 = (EditText) findViewById(R.id.EditText_4RL2);
        EditText editName_4RL3 = (EditText) findViewById(R.id.EditText_4RL3);
        EditText editName_4RL4 = (EditText) findViewById(R.id.EditText_4RL4);
        try {
            editName_4RL1.setText(service.read(openFileInput(Name_4RL1.getText().toString())));
            editName_4RL2.setText(service.read(openFileInput(Name_4RL2.getText().toString())));
            editName_4RL3.setText(service.read(openFileInput(Name_4RL3.getText().toString())));
            editName_4RL4.setText(service.read(openFileInput(Name_4RL4.getText().toString())));
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    public void Button_Save_EditText_8RLClicked(View v) {
        FileService service = new FileService();
        TextView Name_8RL1 = (TextView) findViewById(R.id.Name_8RL1);
        TextView Name_8RL2 = (TextView) findViewById(R.id.Name_8RL2);
        TextView Name_8RL3 = (TextView) findViewById(R.id.Name_8RL3);
        TextView Name_8RL4 = (TextView) findViewById(R.id.Name_8RL4);
        TextView Name_8RL5 = (TextView) findViewById(R.id.Name_8RL5);
        TextView Name_8RL6 = (TextView) findViewById(R.id.Name_8RL6);
        TextView Name_8RL7 = (TextView) findViewById(R.id.Name_8RL7);
        TextView Name_8RL8 = (TextView) findViewById(R.id.Name_8RL8);
        EditText editName_8RL1 = (EditText) findViewById(R.id.EditText_8RL1);
        EditText editName_8RL2 = (EditText) findViewById(R.id.EditText_8RL2);
        EditText editName_8RL3 = (EditText) findViewById(R.id.EditText_8RL3);
        EditText editName_8RL4 = (EditText) findViewById(R.id.EditText_8RL4);
        EditText editName_8RL5 = (EditText) findViewById(R.id.EditText_8RL5);
        EditText editName_8RL6 = (EditText) findViewById(R.id.EditText_8RL6);
        EditText editName_8RL7 = (EditText) findViewById(R.id.EditText_8RL7);
        EditText editName_8RL8 = (EditText) findViewById(R.id.EditText_8RL8);
        try {
            service.save(openFileOutput(Name_8RL1.getText().toString(), ONGOING_ID), editName_8RL1.getText().toString());
            service.save(openFileOutput(Name_8RL2.getText().toString(), ONGOING_ID), editName_8RL2.getText().toString());
            service.save(openFileOutput(Name_8RL3.getText().toString(), ONGOING_ID), editName_8RL3.getText().toString());
            service.save(openFileOutput(Name_8RL4.getText().toString(), ONGOING_ID), editName_8RL4.getText().toString());
            service.save(openFileOutput(Name_8RL5.getText().toString(), ONGOING_ID), editName_8RL5.getText().toString());
            service.save(openFileOutput(Name_8RL6.getText().toString(), ONGOING_ID), editName_8RL6.getText().toString());
            service.save(openFileOutput(Name_8RL7.getText().toString(), ONGOING_ID), editName_8RL7.getText().toString());
            service.save(openFileOutput(Name_8RL8.getText().toString(), ONGOING_ID), editName_8RL8.getText().toString());
            Toast.makeText(this, "设备更名成功", REQUEST_CODE).show();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    public void Read_Save_EditText_8RL_Name() {
        FileService service = new FileService();
        TextView Name_8RL1 = (TextView) findViewById(R.id.Name_8RL1);
        TextView Name_8RL2 = (TextView) findViewById(R.id.Name_8RL2);
        TextView Name_8RL3 = (TextView) findViewById(R.id.Name_8RL3);
        TextView Name_8RL4 = (TextView) findViewById(R.id.Name_8RL4);
        TextView Name_8RL5 = (TextView) findViewById(R.id.Name_8RL5);
        TextView Name_8RL6 = (TextView) findViewById(R.id.Name_8RL6);
        TextView Name_8RL7 = (TextView) findViewById(R.id.Name_8RL7);
        TextView Name_8RL8 = (TextView) findViewById(R.id.Name_8RL8);
        EditText editName_8RL1 = (EditText) findViewById(R.id.EditText_8RL1);
        EditText editName_8RL2 = (EditText) findViewById(R.id.EditText_8RL2);
        EditText editName_8RL3 = (EditText) findViewById(R.id.EditText_8RL3);
        EditText editName_8RL4 = (EditText) findViewById(R.id.EditText_8RL4);
        EditText editName_8RL5 = (EditText) findViewById(R.id.EditText_8RL5);
        EditText editName_8RL6 = (EditText) findViewById(R.id.EditText_8RL6);
        EditText editName_8RL7 = (EditText) findViewById(R.id.EditText_8RL7);
        EditText editName_8RL8 = (EditText) findViewById(R.id.EditText_8RL8);
        try {
            editName_8RL1.setText(service.read(openFileInput(Name_8RL1.getText().toString())));
            editName_8RL2.setText(service.read(openFileInput(Name_8RL2.getText().toString())));
            editName_8RL3.setText(service.read(openFileInput(Name_8RL3.getText().toString())));
            editName_8RL4.setText(service.read(openFileInput(Name_8RL4.getText().toString())));
            editName_8RL5.setText(service.read(openFileInput(Name_8RL5.getText().toString())));
            editName_8RL6.setText(service.read(openFileInput(Name_8RL6.getText().toString())));
            editName_8RL7.setText(service.read(openFileInput(Name_8RL7.getText().toString())));
            editName_8RL8.setText(service.read(openFileInput(Name_8RL8.getText().toString())));
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    public void Button_8RL1_2Clicked(View v) {
        if (this._socket == null) {
            Toast.makeText(this, "未连接设备", REQUEST_CODE).show();
            return;
        }
        Button button_8RL1 = (Button) findViewById(R.id.Button_8RL1_2);
        this.RL1_down_C += REQUEST_CODE;
        if (this.RL1_down_C == REQUEST_CODE) {
            button_8RL1.setBackgroundDrawable(getResources().getDrawable(R.drawable.on_png));
            try {
                OutputStream os = this._socket.getOutputStream();
                os.write(68);
                os.write(76);
                os.write(17);
                os.write(48);
                os.write(48);
            } catch (Exception e) {
            }
        }
        if (this.RL1_down_C == 2) {
            button_8RL1.setBackgroundDrawable(getResources().getDrawable(R.drawable.off_png));
            this.RL1_down_C = ONGOING_ID;
            try {
                OutputStream os2 = this._socket.getOutputStream();
                os2.write(85);
                os2.write(76);
                os2.write(16);
                os2.write(48);
                os2.write(48);
            } catch (Exception e2) {
            }
        }
    }

    public void Button_8RL1_1Clicked(View v) {
        if (this._socket == null) {
            Toast.makeText(this, "未连接设备", REQUEST_CODE).show();
        } else {
            ((Button) findViewById(R.id.Button_8RL1_1)).setOnTouchListener(new View.OnTouchListener() {
                public boolean onTouch(View arg0, MotionEvent arg1) {
                    if (arg1.getAction() == 0) {
                        try {
                            OutputStream os = RCBTRelay.this._socket.getOutputStream();
                            os.write(68);
                            os.write(76);
                            os.write(17);
                            os.write(48);
                            os.write(48);
                        } catch (Exception e) {
                        }
                    }
                    if (arg1.getAction() != RCBTRelay.REQUEST_CODE) {
                        return false;
                    }
                    RCBTRelay.this.delay(RCBTRelay.REQUEST_CODE);
                    try {
                        OutputStream os2 = RCBTRelay.this._socket.getOutputStream();
                        os2.write(85);
                        os2.write(76);
                        os2.write(16);
                        os2.write(48);
                        os2.write(48);
                        return false;
                    } catch (Exception e2) {
                        return false;
                    }
                }
            });
        }
    }

    public void Button_8RL2_2Clicked(View v) {
        if (this._socket == null) {
            Toast.makeText(this, "未连接设备", REQUEST_CODE).show();
            return;
        }
        Button button_8RL2 = (Button) findViewById(R.id.Button_8RL2_2);
        this.RL2_down_C += REQUEST_CODE;
        if (this.RL2_down_C == REQUEST_CODE) {
            button_8RL2.setBackgroundDrawable(getResources().getDrawable(R.drawable.on_png));
            try {
                OutputStream os = this._socket.getOutputStream();
                os.write(69);
                os.write(76);
                os.write(50);
                os.write(89);
                os.write(48);
            } catch (Exception e) {
            }
        }
        if (this.RL2_down_C == 2) {
            button_8RL2.setBackgroundDrawable(getResources().getDrawable(R.drawable.off_png));
            this.RL2_down_C = ONGOING_ID;
            try {
                OutputStream os2 = this._socket.getOutputStream();
                os2.write(86);
                os2.write(76);
                os2.write(50);
                os2.write(89);
                os2.write(48);
            } catch (Exception e2) {
            }
        }
    }

    public void Button_8RL2_1Clicked(View v) {
        if (this._socket == null) {
            Toast.makeText(this, "未连接设备", REQUEST_CODE).show();
        } else {
            ((Button) findViewById(R.id.Button_8RL2_1)).setOnTouchListener(new View.OnTouchListener() {
                public boolean onTouch(View arg0, MotionEvent arg1) {
                    if (arg1.getAction() == 0) {
                        try {
                            OutputStream os = RCBTRelay.this._socket.getOutputStream();
                            os.write(69);
                            os.write(76);
                            os.write(50);
                            os.write(89);
                            os.write(48);
                        } catch (Exception e) {
                        }
                    }
                    if (arg1.getAction() != RCBTRelay.REQUEST_CODE) {
                        return false;
                    }
                    RCBTRelay.this.delay(RCBTRelay.REQUEST_CODE);
                    try {
                        OutputStream os2 = RCBTRelay.this._socket.getOutputStream();
                        os2.write(86);
                        os2.write(76);
                        os2.write(50);
                        os2.write(89);
                        os2.write(48);
                        return false;
                    } catch (Exception e2) {
                        return false;
                    }
                }
            });
        }
    }

    public void Button_8RL3_2Clicked(View v) {
        if (this._socket == null) {
            Toast.makeText(this, "未连接设备", REQUEST_CODE).show();
            return;
        }
        Button button_8RL3 = (Button) findViewById(R.id.Button_8RL3_2);
        this.RL3_down_C += REQUEST_CODE;
        if (this.RL3_down_C == REQUEST_CODE) {
            button_8RL3.setBackgroundDrawable(getResources().getDrawable(R.drawable.on_png));
            try {
                OutputStream os = this._socket.getOutputStream();
                os.write(70);
                os.write(76);
                os.write(51);
                os.write(89);
                os.write(48);
            } catch (Exception e) {
            }
        }
        if (this.RL3_down_C == 2) {
            button_8RL3.setBackgroundDrawable(getResources().getDrawable(R.drawable.off_png));
            this.RL3_down_C = ONGOING_ID;
            try {
                OutputStream os2 = this._socket.getOutputStream();
                os2.write(87);
                os2.write(76);
                os2.write(51);
                os2.write(89);
                os2.write(48);
            } catch (Exception e2) {
            }
        }
    }

    public void Button_8RL3_1Clicked(View v) {
        if (this._socket == null) {
            Toast.makeText(this, "未连接设备", REQUEST_CODE).show();
        } else {
            ((Button) findViewById(R.id.Button_8RL3_1)).setOnTouchListener(new View.OnTouchListener() {
                public boolean onTouch(View arg0, MotionEvent arg1) {
                    if (arg1.getAction() == 0) {
                        try {
                            OutputStream os = RCBTRelay.this._socket.getOutputStream();
                            os.write(70);
                            os.write(76);
                            os.write(51);
                            os.write(89);
                            os.write(48);
                        } catch (Exception e) {
                        }
                    }
                    if (arg1.getAction() != RCBTRelay.REQUEST_CODE) {
                        return false;
                    }
                    RCBTRelay.this.delay(RCBTRelay.REQUEST_CODE);
                    try {
                        OutputStream os2 = RCBTRelay.this._socket.getOutputStream();
                        os2.write(87);
                        os2.write(76);
                        os2.write(51);
                        os2.write(89);
                        os2.write(89);
                        return false;
                    } catch (Exception e2) {
                        return false;
                    }
                }
            });
        }
    }

    public void Button_8RL4_2Clicked(View v) {
        if (this._socket == null) {
            Toast.makeText(this, "未连接设备", REQUEST_CODE).show();
            return;
        }
        Button button_8RL4 = (Button) findViewById(R.id.Button_8RL4_2);
        this.RL4_down_C += REQUEST_CODE;
        if (this.RL4_down_C == REQUEST_CODE) {
            button_8RL4.setBackgroundDrawable(getResources().getDrawable(R.drawable.on_png));
            try {
                OutputStream os = this._socket.getOutputStream();
                os.write(71);
                os.write(76);
                os.write(52);
                os.write(89);
                os.write(48);
            } catch (Exception e) {
            }
        }
        if (this.RL4_down_C == 2) {
            button_8RL4.setBackgroundDrawable(getResources().getDrawable(R.drawable.off_png));
            this.RL4_down_C = ONGOING_ID;
            try {
                OutputStream os2 = this._socket.getOutputStream();
                os2.write(88);
                os2.write(76);
                os2.write(52);
                os2.write(89);
                os2.write(48);
            } catch (Exception e2) {
            }
        }
    }

    public void Button_8RL4_1Clicked(View v) {
        if (this._socket == null) {
            Toast.makeText(this, "未连接设备", REQUEST_CODE).show();
        } else {
            ((Button) findViewById(R.id.Button_8RL4_1)).setOnTouchListener(new View.OnTouchListener() {
                public boolean onTouch(View arg0, MotionEvent arg1) {
                    if (arg1.getAction() == 0) {
                        try {
                            OutputStream os = RCBTRelay.this._socket.getOutputStream();
                            os.write(71);
                            os.write(76);
                            os.write(52);
                            os.write(89);
                            os.write(48);
                        } catch (Exception e) {
                        }
                    }
                    if (arg1.getAction() != RCBTRelay.REQUEST_CODE) {
                        return false;
                    }
                    RCBTRelay.this.delay(RCBTRelay.REQUEST_CODE);
                    try {
                        OutputStream os2 = RCBTRelay.this._socket.getOutputStream();
                        os2.write(88);
                        os2.write(76);
                        os2.write(52);
                        os2.write(89);
                        os2.write(48);
                        return false;
                    } catch (Exception e2) {
                        return false;
                    }
                }
            });
        }
    }

    public void Button_8RL5_2Clicked(View v) {
        if (this._socket == null) {
            Toast.makeText(this, "未连接设备", REQUEST_CODE).show();
            return;
        }
        Button button_8RL5 = (Button) findViewById(R.id.Button_8RL5_2);
        this.RL5_down_C += REQUEST_CODE;
        if (this.RL5_down_C == REQUEST_CODE) {
            button_8RL5.setBackgroundDrawable(getResources().getDrawable(R.drawable.on_png));
            try {
                OutputStream os = this._socket.getOutputStream();
                os.write(82);
                os.write(76);
                os.write(53);
                os.write(77);
                os.write(49);
            } catch (Exception e) {
            }
        }
        if (this.RL5_down_C == 2) {
            button_8RL5.setBackgroundDrawable(getResources().getDrawable(R.drawable.off_png));
            this.RL5_down_C = ONGOING_ID;
            try {
                OutputStream os2 = this._socket.getOutputStream();
                os2.write(82);
                os2.write(76);
                os2.write(53);
                os2.write(77);
                os2.write(48);
            } catch (Exception e2) {
            }
        }
    }

    public void Button_8RL5_1Clicked(View v) {
        if (this._socket == null) {
            Toast.makeText(this, "未连接设备", REQUEST_CODE).show();
        } else {
            ((Button) findViewById(R.id.Button_8RL5_1)).setOnTouchListener(new View.OnTouchListener() {
                public boolean onTouch(View arg0, MotionEvent arg1) {
                    if (arg1.getAction() == 0) {
                        try {
                            OutputStream os = RCBTRelay.this._socket.getOutputStream();
                            os.write(82);
                            os.write(76);
                            os.write(53);
                            os.write(77);
                            os.write(49);
                        } catch (Exception e) {
                        }
                    }
                    if (arg1.getAction() != RCBTRelay.REQUEST_CODE) {
                        return false;
                    }
                    RCBTRelay.this.delay(RCBTRelay.REQUEST_CODE);
                    try {
                        OutputStream os2 = RCBTRelay.this._socket.getOutputStream();
                        os2.write(82);
                        os2.write(76);
                        os2.write(53);
                        os2.write(77);
                        os2.write(48);
                        return false;
                    } catch (Exception e2) {
                        return false;
                    }
                }
            });
        }
    }

    public void Button_8RL6_2Clicked(View v) {
        if (this._socket == null) {
            Toast.makeText(this, "未连接设备", REQUEST_CODE).show();
            return;
        }
        Button button_8RL6 = (Button) findViewById(R.id.Button_8RL6_2);
        this.RL6_down_C += REQUEST_CODE;
        if (this.RL6_down_C == REQUEST_CODE) {
            button_8RL6.setBackgroundDrawable(getResources().getDrawable(R.drawable.on_png));
            try {
                OutputStream os = this._socket.getOutputStream();
                os.write(82);
                os.write(76);
                os.write(54);
                os.write(77);
                os.write(49);
            } catch (Exception e) {
            }
        }
        if (this.RL6_down_C == 2) {
            button_8RL6.setBackgroundDrawable(getResources().getDrawable(R.drawable.off_png));
            this.RL6_down_C = ONGOING_ID;
            try {
                OutputStream os2 = this._socket.getOutputStream();
                os2.write(82);
                os2.write(76);
                os2.write(54);
                os2.write(77);
                os2.write(48);
            } catch (Exception e2) {
            }
        }
    }

    public void Button_8RL6_1Clicked(View v) {
        if (this._socket == null) {
            Toast.makeText(this, "未连接设备", REQUEST_CODE).show();
        } else {
            ((Button) findViewById(R.id.Button_8RL6_1)).setOnTouchListener(new View.OnTouchListener() {
                public boolean onTouch(View arg0, MotionEvent arg1) {
                    if (arg1.getAction() == 0) {
                        try {
                            OutputStream os = RCBTRelay.this._socket.getOutputStream();
                            os.write(82);
                            os.write(76);
                            os.write(54);
                            os.write(77);
                            os.write(49);
                        } catch (Exception e) {
                        }
                    }
                    if (arg1.getAction() != RCBTRelay.REQUEST_CODE) {
                        return false;
                    }
                    RCBTRelay.this.delay(RCBTRelay.REQUEST_CODE);
                    try {
                        OutputStream os2 = RCBTRelay.this._socket.getOutputStream();
                        os2.write(82);
                        os2.write(76);
                        os2.write(54);
                        os2.write(77);
                        os2.write(48);
                        return false;
                    } catch (Exception e2) {
                        return false;
                    }
                }
            });
        }
    }

    public void Button_8RL7_2Clicked(View v) {
        if (this._socket == null) {
            Toast.makeText(this, "未连接设备", REQUEST_CODE).show();
            return;
        }
        Button button_8RL7 = (Button) findViewById(R.id.Button_8RL7_2);
        this.RL7_down_C += REQUEST_CODE;
        if (this.RL7_down_C == REQUEST_CODE) {
            button_8RL7.setBackgroundDrawable(getResources().getDrawable(R.drawable.on_png));
            try {
                OutputStream os = this._socket.getOutputStream();
                os.write(82);
                os.write(76);
                os.write(55);
                os.write(77);
                os.write(49);
            } catch (Exception e) {
            }
        }
        if (this.RL7_down_C == 2) {
            button_8RL7.setBackgroundDrawable(getResources().getDrawable(R.drawable.off_png));
            this.RL7_down_C = ONGOING_ID;
            try {
                OutputStream os2 = this._socket.getOutputStream();
                os2.write(82);
                os2.write(76);
                os2.write(55);
                os2.write(77);
                os2.write(48);
            } catch (Exception e2) {
            }
        }
    }

    public void Button_8RL7_1Clicked(View v) {
        if (this._socket == null) {
            Toast.makeText(this, "未连接设备", REQUEST_CODE).show();
        } else {
            ((Button) findViewById(R.id.Button_8RL7_1)).setOnTouchListener(new View.OnTouchListener() {
                public boolean onTouch(View arg0, MotionEvent arg1) {
                    if (arg1.getAction() == 0) {
                        try {
                            OutputStream os = RCBTRelay.this._socket.getOutputStream();
                            os.write(82);
                            os.write(76);
                            os.write(55);
                            os.write(77);
                            os.write(49);
                        } catch (Exception e) {
                        }
                    }
                    if (arg1.getAction() != RCBTRelay.REQUEST_CODE) {
                        return false;
                    }
                    RCBTRelay.this.delay(RCBTRelay.REQUEST_CODE);
                    try {
                        OutputStream os2 = RCBTRelay.this._socket.getOutputStream();
                        os2.write(82);
                        os2.write(76);
                        os2.write(55);
                        os2.write(77);
                        os2.write(48);
                        return false;
                    } catch (Exception e2) {
                        return false;
                    }
                }
            });
        }
    }

    public void Button_8RL8_2Clicked(View v) {
        if (this._socket == null) {
            Toast.makeText(this, "未连接设备", REQUEST_CODE).show();
            return;
        }
        Button button_8RL8 = (Button) findViewById(R.id.Button_8RL8_2);
        this.RL8_down_C += REQUEST_CODE;
        if (this.RL8_down_C == REQUEST_CODE) {
            button_8RL8.setBackgroundDrawable(getResources().getDrawable(R.drawable.on_png));
            try {
                OutputStream os = this._socket.getOutputStream();
                os.write(82);
                os.write(76);
                os.write(56);
                os.write(77);
                os.write(49);
            } catch (Exception e) {
            }
        }
        if (this.RL8_down_C == 2) {
            button_8RL8.setBackgroundDrawable(getResources().getDrawable(R.drawable.off_png));
            this.RL8_down_C = ONGOING_ID;
            try {
                OutputStream os2 = this._socket.getOutputStream();
                os2.write(82);
                os2.write(76);
                os2.write(56);
                os2.write(77);
                os2.write(48);
            } catch (Exception e2) {
            }
        }
    }

    public void Button_8RL8_1Clicked(View v) {
        if (this._socket == null) {
            Toast.makeText(this, "未连接设备", REQUEST_CODE).show();
        } else {
            ((Button) findViewById(R.id.Button_8RL8_1)).setOnTouchListener(new View.OnTouchListener() {
                public boolean onTouch(View arg0, MotionEvent arg1) {
                    if (arg1.getAction() == 0) {
                        try {
                            OutputStream os = RCBTRelay.this._socket.getOutputStream();
                            os.write(82);
                            os.write(76);
                            os.write(56);
                            os.write(77);
                            os.write(49);
                        } catch (Exception e) {
                        }
                    }
                    if (arg1.getAction() != RCBTRelay.REQUEST_CODE) {
                        return false;
                    }
                    RCBTRelay.this.delay(RCBTRelay.REQUEST_CODE);
                    try {
                        OutputStream os2 = RCBTRelay.this._socket.getOutputStream();
                        os2.write(82);
                        os2.write(76);
                        os2.write(56);
                        os2.write(77);
                        os2.write(48);
                        return false;
                    } catch (Exception e2) {
                        return false;
                    }
                }
            });
        }
    }
}
